#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - perl-base preinstallation
#
# Creation   :  2018-01-05 holbru
# Last update:  $Id: preinstall.sh 78222 2020-06-14 21:51:08Z hbfl $
#
# Copyright (c) 2018-2024 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=perl-base

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(eisman check perl 2.8.0)

if [ "${installed}" = "new" ]
then
    if [ -f /etc/filelist.d/perl-files.txt ]
    then   
        sed -i '/usr\/bin\/perl$/d' /etc/filelist.d/perl-files.txt 
    fi
  
    configfiles="/etc/config.d/perl     \
/etc/backup.d/perl.*   \
/etc/check.d/perl*     \
/etc/default.d/perl"

    for cfile in ${configfiles}
    do
        rm -f ${cfile}
    done

    /var/install/bin/del-menu                 \
          setup.services.menu                 \
          setup.services.perl.menu

    rm -f /usr/lib/perl5/5.20.2/i586-linux-thread-multi/perllocal.pod
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
